Bug 573230 - updated daemons restart at +19 nice
updated daemons restart at +19 nice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-13 10:11 EST by Maurizio Paolini
Modified: 2010-12-03 12:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 552279
Environment:
Last Closed: 2010-12-03 12:26:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maurizio Paolini 2010-03-13 10:11:48 EST
The problem described below for Redhat enterprise linux 5 is also
present in fedora 12.

+++ This bug was initially created as a clone of Bug #552279 +++

Description of problem:

Startup script for yum-udpatesd sets priority at +19

When yum-updatesd updates daemons and they restart they are
started at the same priority changing system behaviour

Version-Release number of selected component (if applicable):

yum-updatesd-0.9-2.el5

How reproducible:

Always

Steps to Reproduce:
1. install system at 5.3
2. let yum-updatesd perform updates
3. ps ax -o ni,args
  
Actual results:

restarted daemons are at +19

Expected results:

daemons should be at normal priority of 0

Additional info:

Easiest fix would be to remove the +19 from the yum-updatesd startup script, although this would also produce a change in load behaviour.

One could argue that the daemon should set its own priority internally for operations that are regarded as heavy, whilst ensuring that operations like execution of %pre/%post-install should be at priority 0, but this would likely require extensive, probably intrusive, changes that probably cannot be justified at this point in the RHEL5 life-cycle.

--- Additional comment from mikelococo@gmail.com on 2010-01-26 12:33:06 EST ---

I confirm this bug exactly as reported, and it's fairly problematic in my environment.  It doesn't take long for a process that restarts lots of processes like sshd or puppetd (automatic configuration management software) to get updated by yum-updatesd and inherit the high nice value.  From there the problem spreads very quickly to critical system processes via normal system administration procedures and routine process restarts.

At this point, I pretty much need to restart all my red-hat servers once a week to reset nice values.
Comment 1 Bug Zapper 2010-11-03 15:53:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 12:26:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.